Get completions
POST /v1/sandbox/{sandboxID}/lsp/completions
Request code completions at a given position in a document.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
Example
pythonExample
/home/user/projectDocument URI.
Example
file:///home/user/project/main.pyobject
Zero-based line number.
Example
10Zero-based character offset.
Example
3object
Completion trigger kind.
Example
1Trigger character when completion was invoked by a specific character.
Example
.Responses
Section titled “ Responses ”JSON-RPC 2.0 response from the language server.
JSON-RPC 2.0 response envelope returned by LSP request endpoints.
object
Method-specific success payload.
object
JSON-RPC error code.
Example
-32602Human-readable error message.
Example
Invalid paramsOptional method-specific error data.
JSON-RPC 2.0 response envelope returned by LSP request endpoints.
object
Method-specific success payload.
object
JSON-RPC error code.
Example
-32602Human-readable error message.
Example
Invalid paramsOptional method-specific error data.
Bad request – validation error.
object
Summary message, e.g. “Invalid request”.
object
JSON field name that failed validation (e.g. “path”, “command”).
Human-readable description of the validation failure.
Unauthorized – invalid or missing API key.
object
Human-readable error message.